Subject: Re: bug#42476: Krita fails to start

From: "Boris A. Dekshteyn" <[email-masked]>
Date: Fri, 24 Jul 2020 14:41:55 +1200

Hello,

Leo Famulari <[email-masked]> writes:

> Currently, Krita fails to start after loading its splash screen. It just
> hangs forever.
>
> I found this upstream bug report in Qt:
>
> https://bugreports.qt.io/browse/QTBUG-83207
>
> Currently, I'm testing the build of Krita based on the Qt patch in that
> bug report.
>
> I've attached my patch.

fixed in krita 4.3, relased about a month ago:

-    (version "4.2.9")
+    (version "4.3.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -372,7 +372,7 @@ illustrate project schedules.")
                     "/krita-" version ".tar.gz"))
               (sha256
                (base32
-                "1a3djmjhnvlp8dpiz68s0lwg71nv3ypq592jfgsnm5zlxa0vp1cz"))))
+                "1njbxv7b56if838gv7ydzm1sprgmaabnp0jlj0bxryxzfdy8hwfh"))))

-- 
WBR, Boris Dekshteyn